debIFTypeDebPkgFile Class Reference
Inheritance diagram for debIFTypeDebPkgFile:
[legend]
Collaboration diagram for debIFTypeDebPkgFile:
[legend]

## Public Member Functions

pkgRecords::Parser * | CreatePkgParser (pkgCache::PkgFileIterator const &File) const override
Public Member Functions inherited from pkgIndexFile::Type
virtual pkgSrcRecords::Parser * | CreateSrcPkgParser (std::string const &) const

## Additional Inherited Members

Static Public Member Functions inherited from pkgIndexFile::Type
static Type * | GetType (const char *const Type) APT_PURE
Public Attributes inherited from pkgIndexFile::Type
const char * | Label
Static Public Attributes inherited from pkgIndexFile::Type
static Type ** | GlobalList = ItmList
static unsigned long | GlobalListLen = 0

## Member Function Documentation

## CreatePkgParser()

pkgRecords::Parser * CreatePkgParser | ( | pkgCache::PkgFileIterator const & | File | ) | const

inline nodiscard override virtual

Reimplemented from pkgIndexFile::Type.

The documentation for this class was generated from the following file:

- apt-pkg/deb/debindexfile.cc